Subject: [Ltru] RFC4646bis-11 Editorial Comments Only Sections 3.5, 3.6

From: CE Whitehead <[email-masked]>
Date: Wed, 20 Feb 2008 12:19:49 -0500

Hi,
A few more changes to:http://www.ietf.org/internet-drafts/draft-ietf-ltru-4646bis-11.txt Suggestions for 3.5 and 3.6 are below (I have a few editorial comments for 3.7; not much for 3.8--I may send these later).
There was a grammatical error in section 3.5
(page 35, Section 3.5, last paragraph--in the last sentence the pronoun "it" had no antecedent and was very unclear I thought --"thus help ensure that it is correct and consistent." should be:  "thus help insure that this information is correct and consistent").
 
I also had questions about  the example--"sl-IT-rozaj"-- in section 3.5, p. 34, paragraph 2
(in my understanding rozaj is a dialect spoken in Italy and thus the subtag [IT] in the example is superfluous; not an example we want to provide)
 
Other than that, I moved a few paragraphs around and added some subheadings (I created subsection headers "3.1 General," "3.5.2 Registrations Initiated Resulting from the Provisions of Section 3.3 or Section 3.4," and  "3.5.3 Updates or Changes to Existing Records ;" also as several subtag request fields are discussed in detail--the Prefix field, the Description field, and the Reference to a Published Book or Description field--I added titles above these)!
 
The most important change is the grammatical correction.
 
Nevetheless, I am attached to the moves I suggested in 3.5, if anyone wants to consider these (I took some time moving it around).
 
Thanks.
 
(I've not had a chance to think much about the changes suggested by L.B.)

--C. E. Whitehead
[email-masked] 

 * * * Below are the suggestions in detail; sorry that this is so long * * *{p. 32, Section 3.5,  between the 2nd and 3rd paragraph of this section;INSERT subheading for clarity}
"This procedure MAY also be used to register or alter the information   for the 'Description', 'Comments', 'Deprecated', 'Prefix', or   'Suppress-Script' fields in a subtag's record as described in   Section 3.4.  Changes to all other fields in the IANA registry are   NOT permitted.   Registering a new subtag or requesting modifications to an existing   tag or subtag starts with the requester filling out the registration . . . "
=> 
  "This procedure MAY also be used to register or alter the information   for the 'Description', 'Comments', 'Deprecated', 'Prefix', or   'Suppress-Script' fields in a subtag's record as described in   Section 3.4.  Changes to all other fields in the IANA registry are   NOT permitted.
"3.5.1 General    Registering a new subtag or requesting modifications to an existing   tag or subtag starts with the requester filling out the registration . . . "
{COMMENT: I felt 3.5 was too long and broke it up with sections 3.5.2 and 3.5.3 below, p. 35; the subheading 3.1 here is for balance with those! Without those it's not necessary! }* * *{p. 34, Section 3.5, after the first paragraph, before the top of the second paragraph; INSERT SUBHEADING}". . . In the case of a transcription or encoding error by IANA,the Language Subtag Reviewer will request that the registry berepaired, providing any necessary information to assist IANA.Variant subtags are usually registered for use with a particularrange of language tags. For example, the subtag 'rozaj' is intendedfor use with language tags that start with the primary languagesubtag "sl", since Resian is a dialect of Slovenian. Thus, thesubtag 'rozaj' would be appropriate in tags such as "sl-Latn-rozaj"or "sl-IT-rozaj". This information is stored in the 'Prefix' fieldin the registry. Variant registration requests SHOULD include atleast one 'Prefix' field in the registration form."=>". . . In the case of a transcription or encoding error by IANA,the Language Subtag Reviewer will request that the registry berepaired, providing any necessary information to assist IANA.* The "Prefix" FieldVariant subtags are usually registered for use with a particularrange of language tags. For example, the subtag 'rozaj' is intendedfor use with language tags that start with the primary languagesubtag "sl", since Resian is a dialect of Slovenian. Thus, thesubtag 'rozaj' would be appropriate in tags such as "sl-Latn-rozaj"or "sl-IT-rozaj". This information is stored in the 'Prefix' fieldin the registry. Variant registration requests SHOULD include atleast one 'Prefix' field in the registration form."{ COMMENT: The sub-heading makes the draft more readable.}
* * *{ P. 34, Section 3.5, second paragraph; ?? }"Thus, thesubtag 'rozaj' would be appropriate in tags such as "sl-Latn-rozaj"or "sl-IT-rozaj". "{ NEED new example??: }=> ??COMMENT: Another example is needed I think??; I do not think sl-IT-rozaj is quite appropriate??; where else is this dialect spoken??--if nowhere else, is it appropriate to have subtag [IT]??? 
I confess I have not yet gone through all discussion of Resian to see if it is spoken anywhere else ; I will eventually go through all archives in question (June, 2007; also there are some Summer 2005 archives I think).* * *{ Page 34, Section 3.5, after par. 5, before par. 6; INSERT SUBHEADING }
"Requests to add a prefix to a variant subtag that imply a differentsemantic meaning will probably be rejected. For example, a requestto add the prefix "de" to the subtag 'nedis' so that the tag "de-nedis" represented some German dialect would be rejected. The'nedis' subtag represents a particular Slovenian dialect and theadditional registration would change the semantic meaning assigned tothe subtag. A separate subtag SHOULD be proposed instead.The 'Description' field MUST contain a description of the tag beingregistered written or transcribed into the Latin script; it MAY also include a description in a non-Latin script." 
=>
"Requests to add a prefix to a variant subtag that imply a differentsemantic meaning will probably be rejected. For example, a requestto add the prefix "de" to the subtag 'nedis' so that the tag "de-nedis" represented some German dialect would be rejected. The'nedis' subtag represents a particular Slovenian dialect and theadditional registration would change the semantic meaning assigned tothe subtag. A separate subtag SHOULD be proposed instead.* The "Description" Field The 'Description' field MUST contain a description of the tag beingregistered written or transcribed into the Latin script; it MAY also include a description in a non-Latin script." 
{ COMMENT: Again, subheading needed for clarity }* * *{ Page 34, Section 3.5, par. 6; JUST A COMMENT }
"The 'Description' field MUST contain a description of the tag beingregistered written or transcribed into the Latin script; it MAY also include a description in a non-Latin script." { COMMENT: What exactly is a Latin versus non-Latin script?? Do we need to define this?See:Subject: IPA's double life (RE: New scripts) From: [email-masked] on behalf of Don Osborn ([email-masked]) Sent: Tue 11/27/07 8:42 AM To: 'Michael Everson' ([email-masked]); [email-masked] > So, several questions re ISO 15924:1) Is IPA Extensions range covered as a general rule in > Latn? This wasn'tevident from http://www.unicode.org/iso15924/iso15924-codes.html and > otherpages I scanned on unicode.org. In looking at some back correspondence > onietf-languages it seems that it is. }* * *{ Pp. 35-36, section 3.5; MOVE page 36, paragraph 5 to page 35, so that it sits above the first full paragraph on that page; delete the word "Note," and insert a subheading instead as the title of this paragraph/subsection. }
"While the 'Description' field itself is not guaranteed to be stable and errata corrections MAY be undertaken from time to time, attempts to provide translations or transcriptions of entries in the registry 
itself will probably be frowned upon by the community or rejected outright, as changes of this nature have an impact on the provisions in Section 3.4. 
When the two-week period has passed, the Language Subtag ReviewerMUST take one of the following actions:
. . ."Note: The purpose of the "Reference to published description" sectionin the registration form is to aid in verifying whether a language isregistered or what language or language variation a particular subtagrefers to. In most cases, reference to an authoritative grammar ordictionary of that language will be useful; in cases where no suchwork exists, other well-known works describing that language or inthat language MAY be appropriate. The Language Subtag Reviewerdecides what constitutes "good enough" reference material. Thisrequirement is not intended to exclude particular languages ordialects due to the size of the speaker population or lack of astandardized orthography. Minority languages will be consideredequally on their own merits. "
=>
 
"While the 'Description' field itself is not guaranteed to be stable and errata corrections MAY be undertaken from time to time, attempts to provide translations or transcriptions of entries in the registry 
itself will probably be frowned upon by the community or rejected outright, as changes of this nature have an impact on the provisions in Section 3.4.
* The "Reference to Published Description" Field 
The purpose of the "Reference to published description" sectionin the registration form is to aid in verifying whether a language isregistered or what language or language variation a particular subtagrefers to. In most cases, reference to an authoritative grammar ordictionary of that language will be useful; in cases where no suchwork exists, other well-known works describing that language or inthat language MAY be appropriate. The Language Subtag Reviewerdecides what constitutes "good enough" reference material. Thisrequirement is not intended to exclude particular languages ordialects due to the size of the speaker population or lack of astandardized orthography. Minority languages will be consideredequally on their own merits.
When the two-week period has passed, the Language Subtag ReviewerMUST take one of the following actions:{COMMENT: This section is moved--from below--so that it follows the other fields discussed--"Prefix," "Description." Insert the subheading 'The "Reference to Published Description" Field,' for clarity; then delete "Note:" as it is not needed with the subheading.}* * *{Page 35, Section 3.5, just before last paragraph; INSERT subheading; CORRECT GRAMMAR in the last paragraph }
"The applicant is also free to modify a rejected application withadditional information and submit it again; this starts a new two-week comment period.Registrations initiated due to the provisions of Section 3.3 orSection 3.4 SHALL NOT be rejected altogether (since they have toultimately appear in the registry) and SHOULD be completed as quicklyas possible. The review process allows list members to comment onthe specific information in the form and the record it contains andthus help ensure that it is correct and consistent."=>
 
"The applicant is also free to modify a rejected application withadditional information and submit it again; this starts a new two-week comment period.3.5.2 Registrations Initiated Resulting from the Provisions of Section 3.3 or Section 3.4 }Registrations initiated due to the provisions of Section 3.3 orSection 3.4 SHALL NOT be rejected altogether (since they have toultimately appear in the registry) and SHOULD be completed as quicklyas possible. The review process allows list members to comment onthe specific information in the form and the record it contains andthus help ensure that this information
 is correct and consistent."{ COMMENT: this subheading is needed for clarity; ALSO: change 'it,' as the antecedent is unclear }* * *
{Pp. 35-36, Section 3.5; MOVE text from 3rd paragraph of p. 36 to top of p. 36, following last par of p. 35;
INSERT subheading at the top of the moved text for clarity! }
". . . The Language Subtag Reviewer MAY reject a specific version of the form, but MUSTinclude in the rejection a suitable replacement, extending the reviewperiod as described above, until the form is in a format worthy ofreviewer's approval.
Decisions made by the Language Subtag Reviewer MAY be appealed to the IESG [RFC2028] under the same rules as other IETF decisions [RFC2026]. This includes a decision to extend the review period or the failure to announce a decision in a clear and timely manner. 
. . .
Updates or changes to existing records follow the same procedure asnew registrations. The Language Subtag Reviewer decides whetherthere is consensus to update the registration following the two weekreview period; normally, objections by the original registrant willcarry extra weight in forming such a consensus."
=>
". . . The Language Subtag Reviewer MAY reject a specific version of the form, but MUSTinclude in the rejection a suitable replacement, extending the reviewperiod as described above, until the form is in a format worthy ofreviewer's approval.
"Updates or changes to existing records follow the same procedure asnew registrations. The Language Subtag Reviewer decides whetherthere is consensus to update the registration following the two weekreview period; normally, objections by the original registrant willcarry extra weight in forming such a consensus.Decisions made by the Language Subtag Reviewer MAY be appealed to theIESG [RFC2028] under the same rules as other IETF decisions[RFC2026]. This includes a decision to extend the review period orthe failure to announce a decision in a clear and timely manner."
{COMMENT:  Again, the subheading is needed for clarity;
and again the ordering of 3.5 as it is seems illogical; the pargraph about "Updates or changes"
makes more sense to me if it precedes the information about the appeal process and the location of the approved records. }

* * *
{ Page 36, Section 3.6.  Possibilities for Registration; INSERT Cross-reference }
 
 "Possibilities for registration of subtags or information about   subtags include:   o  Primary language subtags for languages not listed in ISO 639 that      are not variants of any listed or registered language MAY be      registered.  At the time this document was created, there were no      examples of this form of subtag.  Before attempting to register a      language subtag, there MUST be an attempt to register the language      with ISO 639.   Subtags MUST NOT be registered for languages      defined by codes that exist in ISO 639-1, ISO 639-2, or ISO 639-3,      or that are under consideration by the ISO 639 registration      authorities, or that have never been attempted for registration      with those authorities.  If ISO 639 has previously rejected a      language for registration, it is reasonable to assume that there"
=>  ?  
   "Possibilities for registration of subtags or information about   subtags include:   o  Primary language subtags for languages not listed in ISO 639 that      are not variants of any listed or registered language MAY be      registered.  At the time this document was created, there were no      examples of this form of subtag.  Before attempting to register a      language subtag, there MUST be an attempt to register the language      with ISO 639. For the address of the agencies that register these, see the list of "Addresses of Maintenance Agencies for Language Codes, Country Codes, and Script Codes" below.  Subtags MUST NOT be registered for languages      defined by codes that exist in ISO 639-1, ISO 639-2, or ISO 639-3,      or that are under consideration by the ISO 639 registration      authorities, or that have never been attempted for registration      with those authorities.  If ISO 639 has previously rejected a      language for registration, it is reasonable to assume that there"{ COMMENT:  Needed so people will know to look below when wanting to register, in case they just skim other parts of the document! } 
 * * *
 
{Page 37, Section 3.6, paragraph's 7-8; INSERT subheading}
 
"Note: four-character primary language subtags are reserved to allow   for the possibility of alpha4 codes in some future addition to the   ISO 639 family of standards.   ISO 639 defines a maintenance agency for additions to and changes in   the list of languages in ISO 639.  This agency is:"
 
=>
 
"Note: four-character primary language subtags are reserved to allow   for the possibility of alpha4 codes in some future addition to the   ISO 639 family of standards.
 
   * Addresses of Maintenance Agencies for Language Codes, Country Codes, and Script Codes   ISO 639 defines a maintenance agency for additions to and changes in   the list of languages in ISO 639.  This agency is:"
 
{ COMMENT:  Insert subheading for clarity ??? }
 
--C. E. Whitehead
[email-masked]   

_______________________________________________
Ltru mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/ltru

---

From: "Randy Presuhn" <[email-masked]>
Date: Wed, 20 Feb 2008 10:40:10 -0800

Hi -

> From: "CE Whitehead" <[email-masked]>
> To: <[email-masked]>
> Cc: <[email-masked]>; <[email-masked]>
> Sent: Wednesday, February 20, 2008 9:19 AM
> Subject: RFC4646bis-11 Editorial Comments Only Sections 3.5, 3.6
...

Thank you for the extensive comments.

Folks, if your MUA isn't able to cope with HTML, please use
your browser to take a look at
http://www.ietf.org/mail-archive/web/ltru/current/msg09545.html

Randy